#!/usr/bin/env python
# -*- coding: utf-8 -*-

import pathlib
from dateutil import parser
from matplotlib import pyplot as plt


def format_record(record_line):
    time_str, count = record_line.split(']')

    time_str = time_str.rstrip(']').lstrip('[').strip()
    date = parser.parse(time_str)

    count = int(count.strip())
    return (date, count)


def get_records():
    record_path = pathlib.PosixPath('~/.stream_stats')
    records = record_path.expanduser()
    stats = []
    with open(records) as f:
        stats = list(map(format_record, f.readlines()))
    return stats


def draw(records):
    dates = list(map(lambda x: x[0], records))
    listeners = list(map(lambda x: x[1], records))
    plt.bar(dates, listeners)
    plt.xlabel('time')
    plt.ylabel('listeners')
    plt.show()


if __name__ == "__main__":
    records = get_records()
    draw(records)
